Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 14 Nov 2018, 05:07
All times are UTC - 4
 Forum index » House Training » HOWTO ( Solutions )
Stream youtube video when you have an old browser
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 3 [34 Posts]   Goto page: Previous 1, 2, 3 Next
Author Message
MochiMoppel


Joined: 26 Jan 2011
Posts: 1677
Location: Japan

PostPosted: Sun 30 Sep 2018, 00:19    Post subject:  

greengeek wrote:
I don't remember the source of the original pet or any mods I may have done to it, but if it is of any use for testing purposes it is here:
http://www.mediafire.com/file/hslt8z9q28qttx0/vlc210_nodeps_b3gg-0.0.pet
Sounds scary but works great OOTB. I had to click away 3 of those "Insecure site" dialogs but then VLC streamed the YT URL.
Thanks!

As an additional bonus I expect that videos streamed this way are free of nagging commercials. I still have to see but if so then this method would be an interesting option even for users of a modern browser.
Back to top
View user's profile Send private message 
nic007


Joined: 13 Nov 2011
Posts: 2671
Location: Cradle of Humankind

PostPosted: Sun 30 Sep 2018, 03:07    Post subject:  

I get none of these dialog errors you are talking about. Just works. Why would you get commercials, these are direct download links for the video on the server? Doesn't make sense to me.
Back to top
View user's profile Send private message 
backi

Joined: 27 Feb 2011
Posts: 1563
Location: GERMANY

PostPosted: Sun 30 Sep 2018, 03:59    Post subject:  

Hi !
Think youtube changed some code.....so could no longer stream youtube vids with Vlc .
What works for me is the newest Version of Smplayer/Smtube .

http://murga-linux.com/puppy/viewtopic.php?t=102733&start=135

If you install an Addon for Palemoon or Firefox called "Open with" configure it to play Youtube ( and some other sites ) Video/Links directly with a right click Mouse-Menu on the (appropriate ) Youtube site to play with Smplayer instead of Flash-Player .
For Palemoon 27.x.x you have to install Open with Version 5.6.3.1
cause newer Versions maybe do not install .....but not sure for Palemoon 28.1.
Have a look here for Palemoon (not sure if it also works for Firefox ) :
https://addons.mozilla.org/en-US/firefox/addon/open-with/versions/?page=2#version-5.6.3.1-signed

For Firefox :
https://addons.mozilla.org/de/firefox/addon/open-with/
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 3528
Location: holland

PostPosted: Sun 30 Sep 2018, 09:31    Post subject:  

Quote:
For Firefox :
https://addons.mozilla.org/de/firefox/addon/open-with/


Thanks backi, I've set it to open with mpv and works fine.
(needs python though, to complete installation, needs to run a python script)
Open with vlc sort of works also , but video play is stuttering for me.

(sorry, a bit off-topic, I'm not using old browser, new firefox here)

Fred

_________________
Dog Linux website
Back to top
View user's profile Send private message 
backi

Joined: 27 Feb 2011
Posts: 1563
Location: GERMANY

PostPosted: Sun 30 Sep 2018, 13:22    Post subject:  

Hi Fred !

This Procedure does not work (for me) any longer with Vlc Player .
Neither in Bionic Dog (Vlc3.01) nor in Xenial Dog (Vlc 2.8 ) nor in Deb Dog Stretch(Vlc 3.0.1).A Few weeks ago Vlc worked flawless til youtube changed the code again. So i am wondering why Vlc-Player still works for you .
But it is not important for me as long Smplayer does work this way ........it is quite handy to stream Youtube Videos (mostly Music) in Background with Smplayer while surfing the Web......and less resource hungry so i think .Prefer Smplayer over Mpv-Player because integrated Equalizer and Extra-Stereo Effect
(in Audio >Filter>Extrastereo ) in Smplayer gives quite a good Soundquality with Headphones .

Regards !
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 3528
Location: holland

PostPosted: Sun 30 Sep 2018, 14:32    Post subject:  

Quote:
This Procedure does not work (for me) any longer with Vlc Player .


Hi backi, strange... earlier tested on Stretch, now also on Bionic and works with Vlc (but again useless, as I mentioned, because of the stuttering, which probably can be solved somehow ?)
This is with Firefox Quantum.
Did you download and install the open_with_linux.py ?, see screenshot.

Fred
2018-09-30-202330_428x295_scrot.png
 Description   open_with_linux.py install instructions
 Filesize   25.22 KB
 Viewed   244 Time(s)

2018-09-30-202330_428x295_scrot.png


_________________
Dog Linux website
Back to top
View user's profile Send private message 
backi

Joined: 27 Feb 2011
Posts: 1563
Location: GERMANY

PostPosted: Sun 30 Sep 2018, 15:34    Post subject:  

Hi fred !
Indeed strange ......
Yes did as you did.....
Maybe has something to do with , cause i never updated all this Distros.....not sure ....just thinking,probably we will never know .........anyway ......dont care if Vlc player does the Job or not....Smplayer works fine .
Back to top
View user's profile Send private message 
nubc


Joined: 23 Jan 2007
Posts: 1973
Location: USA

PostPosted: Mon 01 Oct 2018, 01:50    Post subject:  

Okay, I'll bite. I got smplayer 14.8.1 for tahrpup, installed it with ppm. I opened smplayer and was redirected to smplayer update, where I downloaded smplayer 18.9.0 tar.bz2, and two other related files. I await your directions on how to proceed.
Back to top
View user's profile Send private message 
backi

Joined: 27 Feb 2011
Posts: 1563
Location: GERMANY

PostPosted: Mon 01 Oct 2018, 02:07    Post subject:  

Hi nubc !
Uninstall smplayer 14.8.1
Better try to install Norgos Smplayer (and/or Smtube) from here.....

SMplayer version 18.9.0

http://smokey01.com/norgo/slacko/630/630.php
compiled under Slacko 630 and shared qt-4.8.6 libs.
smplayer-18.9.0-i686.pet

dependencies:
qt-4
qt-4 webkit
gstreamer
gst-plugins-base

Also look here :
http://murga-linux.com/puppy/viewtopic.php?t=102733&start=135
Back to top
View user's profile Send private message 
nubc


Joined: 23 Jan 2007
Posts: 1973
Location: USA

PostPosted: Mon 01 Oct 2018, 12:09    Post subject:  

I cannot find qt-4 and qt-4 webkit in PPM.
Back to top
View user's profile Send private message 
backi

Joined: 27 Feb 2011
Posts: 1563
Location: GERMANY

PostPosted: Mon 01 Oct 2018, 12:16    Post subject:  

Hi nubc !
I am using " The Dogs " (Deb Dog Stretch-Xenial Dog -Bionic Dog).
Sorry ......not familar with Tahrpup...

Maybe anybody else knows how to cope with this Problem in Tahrpup.
Back to top
View user's profile Send private message 
norgo


Joined: 13 Nov 2015
Posts: 285
Location: Germany

PostPosted: Mon 01 Oct 2018, 18:19    Post subject:  

nubc wrote:
I cannot find qt-4 and qt-4 webkit in PPM.


qt 4 is installed by default in Tahrpup
qt 4 webkit and gstreamer available via PPM (see screenshot)

in your case it's sufficient to download SMtube only
for playback you can use VLC ( auto-detected by SMtube)
dependencies.png
 Description   
 Filesize   77.59 KB
 Viewed   137 Time(s)

dependencies.png

Back to top
View user's profile Send private message Visit poster's website 
backi

Joined: 27 Feb 2011
Posts: 1563
Location: GERMANY

PostPosted: Tue 02 Oct 2018, 04:21    Post subject:  

Hi Norgo !
Smtube using VCL probably does not work any longer,,,,, newest Smplayer does .
Back to top
View user's profile Send private message 
norgo


Joined: 13 Nov 2015
Posts: 285
Location: Germany

PostPosted: Tue 02 Oct 2018, 11:37    Post subject:  

backi wrote:
... VCL probably does not work any longer,,,,,.


short test smtube 18.9.0 / vlc 2.1.6 / tahrpup 6.0.5 worked without problems.
But I prefer SMplayer too. Wink
smplayer-18-9-0_vlc-2-1-6_tahrpup_6-0-5.png
 Description   screenshot smtube - vlc
 Filesize   127.09 KB
 Viewed   80 Time(s)

smplayer-18-9-0_vlc-2-1-6_tahrpup_6-0-5.png

Back to top
View user's profile Send private message Visit poster's website 
backi

Joined: 27 Feb 2011
Posts: 1563
Location: GERMANY

PostPosted: Tue 02 Oct 2018, 12:25    Post subject:  

Hi Norgo !
I trust you Laughing Laughing Laughing
Discussed with Fred181 before .....his Vlc Does work too ...mine Vlc (Version 3.01) does not ...strange .......but no Problem ...don`t care ......Smplayer does ......thanks ! Laughing Laughing
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 3 [34 Posts]   Goto page: Previous 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » HOWTO ( Solutions )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0922s ][ Queries: 12 (0.0358s) ][ GZIP on ]